libconfig-model-tkui-perl (1.344-1) unstable; urgency=medium

  * Imported Upstream version 1.344:
    - removed experience setting from UI
  * control:
    - removed dep on libexception-class-perl (not used directly)
    * replaced dep on libfile-slurp-perl with libpath-tiny-perl

 -- Dominique Dumont <dod@debian.org>  Tue, 20 May 2014 20:57:54 +0200

libconfig-model-tkui-perl (1.343-1) unstable; urgency=medium

  * Imported Upstream version 1.343
    * List editor:
      * replaced push button with insert at selection
      * added insort button
    * removed asynchronous code
  * control:
    - removed BDI on libanyevent-perl
    * depends on libconfig-model-perl 2.052
    + added dependency on libtry-tiny-perl

 -- Dominique Dumont <dod@debian.org>  Tue, 06 May 2014 12:53:19 +0200

libconfig-model-tkui-perl (1.341-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Dominique Dumont ]
  * Imported Upstream version 1.341
    * add save/del button to annotation editor:
    * removed experimental given/when
  * copyright: updated years
  * control:
    * bumped std-version to 3.9.5
    * upadted description to mention cme (instead of old config-edit)
    * depends on libconfig-model-perl >= 2.050
    * bumped compat to 9
  - removed fix-green-arrow-and-show-hide patch (applied upstream)

 -- Dominique Dumont <dod@debian.org>  Wed, 05 Mar 2014 13:51:18 +0100

libconfig-model-tkui-perl (1.340-1) unstable; urgency=low

   * Imported Upstream version 1.340: fixes some long standing bug
     where warning and online help were not displayed in the GUI

 -- Dominique Dumont <dod@debian.org>  Sat, 14 Sep 2013 10:33:01 +0200

libconfig-model-tkui-perl (1.339-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Dominique Dumont ]
  * Imported Upstream version:
    * refresh tree once store check is done
  * control:
    * depends on libconfig-model-perl >= 2.030
    + added build-dep on libanyevent-perl
    * bumped std version to 3.9.4
  * copyright: updated years

 -- Dominique Dumont <dod@debian.org>  Sun, 24 Mar 2013 18:52:36 +0100

libconfig-model-tkui-perl (1.337-2) unstable; urgency=low

  * added upstream patch to fix green arrow display (Closes: #688097)

 -- Dominique Dumont <dod@debian.org>  Wed, 19 Sep 2012 14:14:17 +0200

libconfig-model-tkui-perl (1.337-1) unstable; urgency=low

  * Imported Upstream version 1.337:
    * added 'show only custom values' check button in main panel
    * Bound 'Return' (aka Enter) key to begin search in the find widget
      (the one in 'Edit -> Find' menu)

 -- Dominique Dumont <dod@debian.org>  Fri, 29 Jun 2012 14:26:30 +0200

libconfig-model-tkui-perl (1.336-1) unstable; urgency=low

  * new upstream release
    * view_unsaved_change widget can now be expanded
    * Fixed skip count test (Closes: 674365)
  * rules : test with xvfb (also able to close the bug above)
  * control:
    * updated dependencies on libconfig-model-perl (>= 2.015)
    + added BD on xauth and xvfb

 -- Dominique Dumont <dod@debian.org>  Tue, 29 May 2012 17:34:54 +0200

libconfig-model-tkui-perl (1.335-1) unstable; urgency=low

  * Imported Upstream version 1.335
    * main widget (TkUI):
      + added show_change menu entry. Offer the same possibility
        when asked about saving before quitting
      * help menu: removed todo list. Added 'more info' item
    * leaf editor:
      * Fix external editor call so the user can continue edition
        from widget to external editor without loosing modification
        already done in the text widget.
      + added balloon and changed button label to help user
  * control: BDI on libtest-memory-cycle-perl
  * control: depedns on libconfig-model-perl >= 2.014

 -- Dominique Dumont <dod@debian.org>  Mon, 07 May 2012 15:36:55 +0200

libconfig-model-tkui-perl (1.333-1) unstable; urgency=low

  * Imported Upstream version 1.333
  * Update copyright years for debian/* packaging

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 22 Mar 2012 16:35:47 +0100

libconfig-model-tkui-perl (1.332-1) unstable; urgency=low

  * Imported Upstream version 1.332:
  * copyright: updated years and format url
  * control: updated Standards-Version to 3.9.3 (no other changes)
  * control: depends on libconfig-model-perl 2.001

 -- Dominique Dumont <dod@debian.org>  Fri, 16 Mar 2012 10:08:34 +0100

libconfig-model-tkui-perl (1.331-1) unstable; urgency=low

  * Imported Upstream version 1.331:
    + NodeEditor: Added widget to add new element when node
      has an accept clause
  * control: depends on libconfig-model-perl 1.263

 -- Dominique Dumont <dod@debian.org>  Thu, 01 Dec 2011 17:47:17 +0100

libconfig-model-tkui-perl (1.329-1) unstable; urgency=low

  * new upstream release:
    * ListEditor: signal TKUI that data needs to be saved when list is
      modified
    * LeafEditor: do not clear entry when input is wrong. This is
      annoying
    * TkUI: updated license wording to keep Debian lintian happy
  * removed fix_warning patch (applied upstream)
  * copyright: updated license text to keep lintian happy

 -- Dominique Dumont <dod@debian.org>  Sat, 22 Oct 2011 18:42:29 +0200

libconfig-model-tkui-perl (1.328-1) unstable; urgency=low

  * New upstream release:
    * ListEditor: enable apply_fix button
    * TkUI: Restrict cut buffer paste to tree widget
  * patches/fix_warning: Fix a harmless warning

 -- Dominique Dumont <dod@debian.org>  Fri, 23 Sep 2011 14:14:45 +0200

libconfig-model-tkui-perl (1.327-1) unstable; urgency=low

  * new upstream release (bug fix)

 -- Dominique Dumont <dod@debian.org>  Fri, 16 Sep 2011 17:29:08 +0200

libconfig-model-tkui-perl (1.326-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Dominique Dumont ]
  * new upstream release:
    + added check warning button in list viewer and editor
  * debian/control:
    * depends on libconfig-model-perl >= 1.253
    * updated my e-mail address

 -- Dominique Dumont <dod@debian.org>  Tue, 06 Sep 2011 21:12:40 +0200

libconfig-model-tkui-perl (1.325-1) unstable; urgency=low

  * New upstream release
  * debian/copyright:
    - Update copyright years for debian/* packaging
    - Fix typo Debian ystems -> Debian systems. 

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 02 Jul 2011 23:52:45 +0200

libconfig-model-tkui-perl (1.324-1) unstable; urgency=low

  * New upstream release:
    + TkUI: added search widget (menu "Edit -> Search" or
      just hit <Ctrl-F>)
    + ListEditor: fix bug that prevented to push a null value
  * control: depends on libconfig-model-perl 1.244

 -- Dominique Dumont <domi.dumont@free.fr>  Thu, 19 May 2011 13:44:48 +0200

libconfig-model-tkui-perl (1.323-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Add (Build-)Depends(-Indep) on libtk-pod-perl.
    - Bump versioned Build-Depends on debhelper to (>= 8).
  * Bump Debhelper compat level to 8.
  * Bump Standards-Version to 3.9.2 (no changes needed).

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 12 Apr 2011 08:19:50 +0200

libconfig-model-tkui-perl (1.322-1) unstable; urgency=low

  * New upstream release (improved usability)
    - Fix nb of skipped tests to avoid FTBS where Tk cannot run
  * control: changed my e-mail address. Added libconfig-model-perl
   to Enhance field. Bumped *Depends version of libconfig-model-perl
   to 1.235
  * copyright: updated field names to latest DEP5

 -- Dominique Dumont <domi.dumont@free.fr>  Fri, 04 Mar 2011 13:20:06 +0100

libconfig-model-tkui-perl (1.320-1) unstable; urgency=low

  * New upstream release:
    - LeafEditor: added fix button to fix warnings
      (if model provides a fix). Added external editor button
  * control: removed unnecessary versioned dependencies,
    added libfile-slurp-perl dependency
  * copyright: updated copyright years

 -- Dominique Dumont <dominique.dumont@hp.com>  Wed, 12 Jan 2011 14:53:45 +0100

libconfig-model-tkui-perl (1.317-1) unstable; urgency=low

  * New upstream release
  * debian/copyright: Refer to Debian systems in general instead of
    Debian GNU/Linux systems.

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 12 Nov 2010 14:32:56 +0100

libconfig-model-tkui-perl (1.316-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Update my email address.

  [ Dominique Dumont ]
  * New upstream release:
    - adapted for Config::Model 1.212
    - display configuration warnings if needed
  * control: depends on libconfig-model-perl 1.212,
    build-depends on libtest-warn-perl

  [ Ansgar Burchardt ]
  * debian/control: Change Homepage field to project wiki on SourceForge.net.

 -- Dominique Dumont <dominique.dumont@hp.com>  Thu, 21 Oct 2010 14:28:10 +0200

libconfig-model-tkui-perl (1.311-1) unstable; urgency=low

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Sat, 02 Oct 2010 18:23:05 +0200

libconfig-model-tkui-perl (1.310-1) unstable; urgency=low

  * New upstream release (small bug fix)

 -- Dominique Dumont <dominique.dumont@hp.com>  Sun, 12 Sep 2010 19:07:26 +0200

libconfig-model-tkui-perl (1.309-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.1 (no changes needed).

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Tue, 10 Aug 2010 13:24:13 +0200

libconfig-model-tkui-perl (1.308-1) unstable; urgency=low

  * New upstream release
  * Add myself to Uploaders.
  * debian/control: Replace alternative Build-Depends on perl (>= 5.10) |
    libmodule-build-perl with only perl, as stable has this version. 
  * Refresh debian/copyright: Adjust to revision 135 of DEP5 format-
    specification for machine-readable copyright file. Adjust reference
    to license as it is LGPL-2.1.
  * Bump Standards-Version to 3.9.0 (no changes needed).
  * Bump versioned (Build-)Depends(-Indep) on libconfig-model-perl to
    (>= 1.202).

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Fri, 23 Jul 2010 08:47:41 +0200

libconfig-model-tkui-perl (1.306-1) unstable; urgency=low

  * New upstream release.
  * Add /me to Uploaders.
  * Bump versioned (build) dependency on libconfig-model-perl, add new (build)
    dependency on libpod-pom-perl.
  * Convert to source format 3.0 (quilt).

 -- gregor herrmann <gregoa@debian.org>  Mon, 29 Mar 2010 22:01:30 +0200

libconfig-model-tkui-perl (1.304-1) unstable; urgency=low

  * New upstream release
  * Add myself to Uploaders and Copyright
  * Drop perl version requirement (satisfied by oldstable)

 -- Jonathan Yu <jawnsy@cpan.org>  Sat, 13 Mar 2010 18:29:27 -0500

libconfig-model-tkui-perl (1.303-1) unstable; urgency=low

  * New upstream release
  * debian/control: updated standard version to 3.8.4
    Depends on libconfig-model-perl >= 0.643

 -- Dominique Dumont <dominique.dumont@hp.com>  Sat, 27 Feb 2010 17:24:59 +0100

libconfig-model-tkui-perl (1.302-1) unstable; urgency=low

  [ Dominique Dumont ]
  * New upstream release (bug fixes)
  * Added examples directory. (Thanks Alexander Becker)

  [ gregor herrmann ]
  * debian/control: Changed: (build-)depend on perl instead of perl-
    modules.
  * debian/copyright: update years of copyright, add additional copyright
    holder.

 -- Dominique Dumont <dominique.dumont@hp.com>  Sat, 23 Jan 2010 14:23:22 +0100

libconfig-model-tkui-perl (1.301-1) unstable; urgency=low

  [ Dominique Dumont ]
  * New upstream release. New NodeEditor widget. New wizard widget
  * control: Updated to policy 3.8.3

  [ gregor herrmann ]
  * Simplify debian/rules.

 -- Dominique Dumont <dominique.dumont@hp.com>  Tue, 08 Sep 2009 13:22:59 +0200

libconfig-model-tkui-perl (1.211-1) unstable; urgency=low

  [ Dominique Dumont ]
  * New upstream release: Fix broken save in config-edit-ssh

  [ gregor herrmann ]
  * Bump (build) dependency on libconfig-model-perl to >= 0.638.

 -- Dominique Dumont <dominique.dumont@hp.com>  Wed, 01 Jul 2009 15:28:10 +0200

libconfig-model-tkui-perl (1.210-1) unstable; urgency=low

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Dominique Dumont ]
  * New upstream release
  * control: depends on libconfig-model-perl >= 0.637
  * control: Updated to policy 3.8.2

 -- Dominique Dumont <dominique.dumont@hp.com>  Thu, 25 Jun 2009 18:08:29 +0200

libconfig-model-tkui-perl (1.208-1) unstable; urgency=low

  * New upstream release:
    - Improved hash editor widget. 
    - Display information from 'summary' field provided by Config::Model 0.635
  * control: depends on new version (0.635) of libconfig-model-perl
  
 -- Dominique Dumont <dominique.dumont@hp.com>  Tue, 21 Apr 2009 14:04:57 +0200

libconfig-model-tkui-perl (1.207-1) unstable; urgency=low

  [ Dominique Dumont ]
  * New upstream release (new text editor button to normalize white 
    space in a string.)

  * control: Updated to policy 3.8.1
	
  [ gregor herrmann ]
  * debian/copyright: update years of copyright.

 -- Dominique Dumont <dominique.dumont@hp.com>  Sun, 15 Mar 2009 13:53:14 +0100

libconfig-model-tkui-perl (1.204-1) unstable; urgency=low

  * Initial Release. (Closes: #509598)

 -- Dominique Dumont <dominique.dumont@hp.com>  Tue, 23 Dec 2008 18:52:20 +0100
